<?xml version="1.0" encoding="UTF-8"?>
<ValidationRule xmlns="http://soap.sforce.com/2006/04/metadata">
    <fullName>Requested_Completion_Date_is_not_Holiday</fullName>
    <active>true</active>
    <description>For Requested Completion Date on Activation Cases
PJ-001503</description>
    <errorConditionFormula>AND(

ISPICKVAL( RequestedAction__c, &quot;Activation&quot; ),

OR(

Requested_Actvation_Date_Time__c = Case(Weekday(DATE (YEAR(Requested_Actvation_Date_Time__c),12,25)),
1, DATE(YEAR(Requested_Actvation_Date_Time__c),12,26),
7, DATE(YEAR(Requested_Actvation_Date_Time__c),12,24),
DATE(YEAR(Requested_Actvation_Date_Time__c),12,25)),

Requested_Actvation_Date_Time__c = Case(Weekday(DATE (YEAR(Requested_Actvation_Date_Time__c),7,4)),
1, DATE(YEAR(Requested_Actvation_Date_Time__c),7,5),
7, DATE(YEAR(Requested_Actvation_Date_Time__c),7,3),
DATE(YEAR(Requested_Actvation_Date_Time__c),7,4)),

Requested_Actvation_Date_Time__c = Case(Weekday(DATE (YEAR(Requested_Actvation_Date_Time__c),1,1)),
1, DATE(YEAR(Requested_Actvation_Date_Time__c),1,2),
DATE(YEAR(Requested_Actvation_Date_Time__c),1,1)),
Requested_Actvation_Date_Time__c = Case(Weekday(DATE (YEAR(Requested_Actvation_Date_Time__c),12,31)),
6, DATE(YEAR(Requested_Actvation_Date_Time__c),12,31),
DATE(1900,1,1)),


Requested_Actvation_Date_Time__c = DATE (YEAR(Requested_Actvation_Date_Time__c),9,CASE(MOD(DATE(YEAR(Requested_Actvation_Date_Time__c),9,1)- DATE(1900, 1, 7), 7),
1, 1,
2, 7,
3, 6,
4, 5,
5, 4,
6, 3,
0, 2,
1)),

Requested_Actvation_Date_Time__c = DATE (YEAR(Requested_Actvation_Date_Time__c),11,CASE(MOD(DATE(YEAR(Requested_Actvation_Date_Time__c),11,1)- DATE(1900, 1, 7), 7),
1, 25,
2, 24,
3, 23,
4, 22,
5, 28,
6, 27,
0, 26,
1)),

Requested_Actvation_Date_Time__c = (DATE (YEAR(Requested_Actvation_Date_Time__c),11,CASE(MOD(DATE(YEAR(Requested_Actvation_Date_Time__c),11,1)- DATE(1900, 1, 7), 7),
1, 25,
2, 24,
3, 23,
4, 22,
5, 28,
6, 27,
0, 26,
1)) +1),

Requested_Actvation_Date_Time__c = DATE (YEAR(Requested_Actvation_Date_Time__c),5,CASE(MOD(DATE(YEAR(Requested_Actvation_Date_Time__c),5,1)- DATE(1900, 1, 7), 7),
1, 29,
2, 28,
3, 27,
4, 26,
5, 25,
6, 31,
0, 30,
1))

)
)</errorConditionFormula>
    <errorMessage>Requested Completion Date cannot be set on a holiday. Please select another date.</errorMessage>
</ValidationRule>
